Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class MessagePartInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.MessagePartInfo

All Implemented Interfaces:
  Extensible, NamedItem

    public final class MessagePartInfo

extends AbstractPropertiesHolder
implements NamedItem

Constructor Summary
`MessagePartInfo(javax.xml.namespace.QName n, AbstractMessageContainer info)`

Method Summary
`javax.xml.namespace.QName` | `getConcreteName()`
`javax.xml.namespace.QName` | `getElementQName()`
`int` | `getIndex()`
`AbstractMessageContainer` | `getMessageInfo()`
`javax.xml.namespace.QName` | `getName()`
`java.lang.Class<?>` | `getTypeClass()`
`javax.xml.namespace.QName` | `getTypeQName()`
`org.apache.ws.commons.schema.XmlSchemaAnnotated` | `getXmlSchema()`
`boolean` | `isElement()`
`void` | `setConcreteName(javax.xml.namespace.QName concreteName)`
`void` | `setElement(boolean b)`
`void` | `setElementQName(javax.xml.namespace.QName qn)`
`void` | `setIndex(int index)`
`void` | `setMessageContainer(AbstractMessageContainer info)`
`void` | `setName(javax.xml.namespace.QName n)`
`void` | `setTypeClass(java.lang.Class<?> typeClass)`
`void` | `setTypeQName(javax.xml.namespace.QName qn)`
`void` | `setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, hasProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagePartInfo

    public MessagePartInfo(javax.xml.namespace.QName n,
                           AbstractMessageContainer info)

Method Detail

### setMessageContainer

    public void setMessageContainer(AbstractMessageContainer info)

### getName

    public javax.xml.namespace.QName getName()

  Specified by:
    `getName` in interface `NamedItem`
  Returns:
    Returns the name.

### setName

    public void setName(javax.xml.namespace.QName n)

  Parameters:
    `n` - The name to set.

### getConcreteName

    public javax.xml.namespace.QName getConcreteName()

### setConcreteName

    public void setConcreteName(javax.xml.namespace.QName concreteName)

### isElement

    public boolean isElement()

### setElement

    public void setElement(boolean b)

### getElementQName

    public javax.xml.namespace.QName getElementQName()

### getTypeQName

    public javax.xml.namespace.QName getTypeQName()

### setTypeQName

    public void setTypeQName(javax.xml.namespace.QName qn)

### setElementQName

    public void setElementQName(javax.xml.namespace.QName qn)

### getMessageInfo

    public AbstractMessageContainer getMessageInfo()

### getXmlSchema

    public org.apache.ws.commons.schema.XmlSchemaAnnotated getXmlSchema()

### setXmlSchema

    public void setXmlSchema(org.apache.ws.commons.schema.XmlSchemaAnnotated xmlSchema)

### getTypeClass

    public java.lang.Class<?> getTypeClass()

### setTypeClass

    public void setTypeClass(java.lang.Class<?> typeClass)

### getIndex

    public int getIndex()

### setIndex

    public void setIndex(int index)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF